aboutsummaryrefslogtreecommitdiff
path: root/.local/share/bin/ipod-sync
diff options
context:
space:
mode:
Diffstat (limited to '.local/share/bin/ipod-sync')
-rwxr-xr-x.local/share/bin/ipod-sync6
1 files changed, 5 insertions, 1 deletions
diff --git a/.local/share/bin/ipod-sync b/.local/share/bin/ipod-sync
index 92eb0c2..62c8c80 100755
--- a/.local/share/bin/ipod-sync
+++ b/.local/share/bin/ipod-sync
@@ -2,6 +2,11 @@
UUID="81CC-A462"
+if test ! -h "/dev/disk/by-uuid/$UUID"; then
+ notify-send "ipod-sync" "can't find disk with uuid $UUID"
+ exit 1
+fi
+
read -r -d '' commands << EOF
echo "mounting..."
sudo mount "/dev/disk/by-uuid/$UUID" /mnt/ipod -o uid=loek,gid=users
@@ -22,4 +27,3 @@ EOF
st -T "[floating]" -g "100x15--154-140" -e sh -c "$commands"
-